using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

namespace SeriousTFSCustomization.WinUI
{
	public partial class WorkItemDetailForm : Form
	{
		public WorkItemDetailForm()
		{
			InitializeComponent();
		}

		private void Form2_Load(object sender, EventArgs e)
		{

		}

		

		private WorkItem m_workItem;
		public WorkItem WorkItem
		{
			get
			{
				return m_workItem;
			}
			set
			{
				m_workItem = value;
				m_control.Item = m_workItem;								
			}
		}

		private void saveToolStripMenuItem_Click(object sender, EventArgs e)
		{
			try
			{
				SaveWorkItem();
				MessageBox.Show("Saved.");
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.ToString());
			} 
		}

		public void SaveWorkItem()
		{
			if (this.WorkItem != null)
			{
				m_control.FlushUserInput();

				this.WorkItem.Save();
			}
		}

		
	}
}