using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.IO;

[WebService(Namespace =
	"http://schemas.microsoft.com/TeamFoundation/" +
	"2005/06/Services/Notification/03")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class TfsTrace : System.Web.Services.WebService
{
	public TfsTrace()
	{
       
    }

	[SoapDocumentMethod("http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03/Notify",
	RequestNamespace = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03")]
	[WebMethod]
	public void Notify(string eventXml, string tfsIdentityXml)
	{
		string filename = String.Format("c:\\tfsEvents\\eventXml_{0}.txt",
			DateTime.Now.Ticks);

		File.WriteAllText(filename, eventXml);

		filename = String.Format("c:\\tfsEvents\\identity_{0}.txt", DateTime.Now.Ticks);

		File.WriteAllText(filename, tfsIdentityXml);
	}

    
}
